Use Flatpak and/or Snap on Linux?

08 Jan 2018 14:50 - John Abbott

Status: New Start date: 08 Jan 2018

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.25 hour

Description

Some Linux distros support applications in "Flatpak" or "Snap" format.

I believe these are something like lightweight VMs; the point is that there should be no problems with the executable looking for a

shared library which is missing (or not at the right version).

Related issues:

Related to CoCoA-5 - Bug #755: Find out how to compile statically on linux Closed 31 Jul 2015

History

#1 - 08 Jan 2018 14:51 - John Abbott

- Related to Bug #755: Find out how to compile statically on linux added

#2 - 08 Jan 2018 14:53 - John Abbott

I have given this low priority because I believe that "Flatpak" and "Snap" are still rather young ideas, and for us it would be easier to wait until they

become more stable and more widely used (or at least that one of them becomes the dominant method).

#3 - 06 May 2020 11:22 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.0

#4 - 06 Oct 2020 15:55 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
